Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/sdl2_ttf: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Fri, 12 Jun 2015 14:11:35 +0000

http://www.libsdl.org/projects/SDL_ttf
A library which allows you to use TrueType fonts in your SDL applications
---
 testing/sdl2_ttf/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/sdl2_ttf/APKBUILD
diff --git a/testing/sdl2_ttf/APKBUILD b/testing/sdl2_ttf/APKBUILD
new file mode 100644
index 0000000..4170fab
--- /dev/null
+++ b/testing/sdl2_ttf/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=sdl2_ttf
+pkgver=2.0.12
+pkgrel=0
+_pkgname=SDL2_ttf
+pkgdesc="A library which allows you to use TrueType fonts in your SDL applications"
+url="http://www.libsdl.org/projects/SDL_ttf/"
+arch="all"
+license="zlib"
+depends=""
+depends_dev="freetype-dev sdl2-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.libsdl.org/projects/SDL_ttf/release/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	update_config_sub
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="79787216b56cb4707f39d538f2225e00  SDL2_ttf-2.0.12.tar.gz"
+sha256sums="8728605443ea1cca5cad501dc34dc0cb15135d1e575551da6d151d213d356f6e  SDL2_ttf-2.0.12.tar.gz"
+sha512sums="2dfd7d9a87d86b0446e52c78dcf4c45dba747256ff9cb4cc010818eac725410f5a1a781e6695ca0bcead756c70519d8d5b4df6c1b2935085e0356d9b4d7844fa  SDL2_ttf-2.0.12.tar.gz"
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jun 12 2015 - 14:11:35 GMT